plotseries_rev;
cal;
prop_mat=zeros(5,length(ind_ctry));

y_gr=y_gr(:,ind_ctry);
T=size(y_gr,1);
N=size(y_gr,2);

y_grma=(y_gr-kron(ones(T,1),mean(y_gr,1)));
y_grma=(y_gr-mean(mean(y_gr,1)))./kron(ones(T,1),std(y_gr,[],1));
for j=1:N;
    y_graa(j)=mean(y_grma(y_grma(:,j)>=0,j));
    y_grba(j)=mean(y_grma(y_grma(:,j)<0,j));
end
y=data(:,ind_ctry);

[R P]=corrcoef(y_gr);
[Rlag Plag]= corrcoef([y_gr(1:end-1,:) y_gr(2:end,:)]); 
[R7802 P7802]=corrcoef(y_gr(cal(2:end)<2003,:));
[R8092 P8092]=corrcoef(y_gr(cal(2:end)<1993,:));
[R9002 P9002]=corrcoef(y_gr(cal(2:end)>=1990,:));
prop_mat=[mean(y_gr,1);y_graa;y_grba;std(y_gr,[],1);R(3,:);R(end,:)];
mean_mat=[mean(y_gr,1); ... 
        mean(y_gr(((cal(2:end)>=1980).*(cal(2:end)<1988))==1,:),1);mean(y_gr(((cal(2:end)>=1985).*(cal(2:end)<1993))==1,:),1); ...
        mean(y_gr(((cal(2:end)>=1990).*(cal(2:end)<1998))==1,:),1);mean(y_gr(((cal(2:end)>=1995).*(cal(2:end)<2003))==1,:),1)];

fid=fopen('data_prop.tex','w');
t=['\\begin{table}\\caption{Data properties}\\label{tab:prop}\\begin{center}\\begin{tabular}{l|' ... 
        '*{' int2str(6) '}{c}|} \\hline \\hline \n'];
fprintf(fid,t);

t=['country& mean& mean above average& mean below average& stand.dev.& DEU&  USA \\\\ \\hline  \n'];
fprintf(fid,t);
% t2=[];
% t3=[];
for i=1:N;
    t1=[];
    t1=[ctries_sel(i,:) ];
       for j=1:size(prop_mat,1);
           t1=[ t1 '& ' num2str(prop_mat(j,i),'%5.2f') ];
       end
       t1 = [t1 '\\\\ \n'];
       fprintf(fid,t1);
end
t='\\hline \\hline \\end{tabular}\\end{center}\\end{table}\n';
fprintf(fid,t);
fprintf(fid,'P-Value DEU    USA \n');
% t=num2str([P(3,:);P(end,:)],'%8.4f %8.4f\n');
t = [P(3,:);P(end,:)];
fprintf(fid,'%6.4f  %6.4f\n',t);

fprintf(fid,'80-02   80-87  85-92  90-97  95-02\n');
fprintf(fid,'%6.2f  %6.2f %6.2f %6.2f %6.2f\n',mean_mat);

% t=num2str(P(end,:),'%8.4f\n');
% fprintf(fid,'P-Value Corr with US \n');


figure(gcf+1)
scatter(R7802(3,[1 2 4:end]),R7802(end,[1 2 4:end]),'o','filled');
% scatter(R8092(3,:),R8092(end,:));
title('correlations of IP growth 1978-2002')
xlabel('correlation with German IP')
ylabel('correlation with US IP')
hold on;
for j=[1 2 4:N];
% for j=1:N;
    text(R7802(3,j)-0.01,R7802(end,j),ctries_sel(j,:),'VerticalAlignment','middle','HorizontalAlignment','right','FontSize',12)
end

figure(gcf+1)
scatter(y_graa,y_grba,'o','filled');
% scatter(R8092(3,:),R8092(end,:));
title('mean growth 1978-2002')
xlabel('above average')
ylabel('below average')
hold on;
for j=[1:N];
% for j=1:N;
    text(y_graa(j)-0.008,y_grba(j),ctries_sel(j,:),'VerticalAlignment','middle','HorizontalAlignment','right','FontSize',12)
end

% 

[corr_sor si]=sort(diag(Rlag(N+1:end,1:N)));
lab_sor=ctries_sel(si,:);
figure(gcf+1)
bar(1:N,corr_sor);
hold on;
plot(1:N,ones(N,1)*2./sqrt(size(y_gr,1)),'b',1:N,-ones(N,1)*2./sqrt(size(y_gr,1)),'b');
% scatter(R8092(3,:),R8092(end,:));
axis([0 N+1 -0.8 0.6]);
title('correlation of y_{it} with y_{i,t-1}')
ylabel('correlation')
hold on;
for j=[1:N];
% for j=1:N;
    text(j,(corr_sor(1)<0)*(corr_sor(1)-0.07),lab_sor(j,:),...
               'VerticalAlignment','middle','HorizontalAlignment','right','Rotation',90,'FontSize',12)
end

t=[ctries_sel num2str(diag(Rlag(N+1:end,1:N)),'%8.4f')  num2str(diag(Plag(N+1:end,1:N)),'%8.4f')]
st=fclose(fid);
% 
% figure(gcf+1)
% for j=[1:N];
% scatter(y_gr(1:end-1,j),y_gr(2:end,j));
% % scatter(R8092(3,:),R8092(end,:));
% hold on;
% end
% title('y_{t-1} against y_t')
% ylabel('y_{t}')
% xlabel('y_{t-1}')
