function [pralm, pralinf] = run_lmc_MS_priorbeta(d,dd,K,dMS,lag_dlo,prm,scale,scale_auto,scale_dum,auto_switch)

% scale ... scale of the prior covariance
if ~auto_switch
    n_dum=d-dd-lag_dlo;
    scale=scale*ones(1,dd);
elseif auto_switch
    n_dum=d-dd;
    scale=[scale*ones(1,dd-lag_dlo) scale_auto*ones(1,lag_dlo)];
end
    

pralm=[prm*ones(dd*K,1);zeros(d-dd,1);zeros(dMS*K,1)];
if dMS>0
    A=kron(ones(2,1),kron(eye(K),eye(dd)));
    A=[A [kron(-eye(K),eye(dd));zeros(K*dd)]];
    A=inv(A'*A)*A'; %generalized inverse
    G_inf=inv(A*kron(eye(K*2),diag(ones(1,dd)./scale))*A');%information matrix of group- and state-specific coeff's
elseif dMS==0
    G_inf=inv(kron(eye(K),diag(ones(1,dd)./scale)));
end

%insert information on group-independent coeff's
pralinf=eye(dd*(K-1)+d+dMS*K);
pralinf([1:dd*K dd*(K-1)+d+1:end],1:dd*K)= G_inf(:,1:dd*K);
pralinf([1:dd*K dd*(K-1)+d+1:end],dd*(K-1)+d+1:end)=G_inf(:,dd*K+1:end);
if ~auto_switch
pralinf(dd*K+1:dd*K+lag_dlo,dd*K+1:dd*K+lag_dlo)=pralinf(dd*K+1:dd*K+lag_dlo,dd*K+1:dd*K+lag_dlo)*scale_auto;
pralinf(dd*K+lag_dlo+1:dd*K+lag_dlo+n_dum,dd*K+lag_dlo+1:dd*K+lag_dlo+n_dum)= ... 
    pralinf(dd*K+lag_dlo+1:dd*K+lag_dlo+n_dum,dd*K+lag_dlo+1:dd*K+lag_dlo+n_dum)*scale_dum;
elseif auto_switch
    pralinf(dd*K+1:dd*K+n_dum,dd*K+1:dd*K+n_dum)= ... 
    pralinf(dd*K+1:dd*K+n_dum,dd*K+1:dd*K+n_dum)*scale_dum;
end
